Skip to main content
GET
/
api
/
v1
/
saved-searches
List Saved Searches
curl --request GET \
  --url https://www.catchthegoodones.com/api/v1/saved-searches
{
  "searches": [
    {
      "id": 1,
      "userFacingId": "S-1",
      "name": "Tech founders",
      "description": "Looking for startup founders in tech",
      "genderValues": ["male", "female"],
      "followerCountTiers": ["micro", "macro"],
      "appliedSearchFilters": {
        "job_role": ["Founder", "CEO", "CTO"],
        "job_industry": ["Technology", "SaaS"]
      },
      "linkedAccountCount": 2,
      "createdAt": "2026-03-01T00:00:00.000Z",
      "updatedAt": "2026-03-15T00:00:00.000Z"
    }
  ]
}
Returns all saved searches for the authenticated user, including the number of tracked accounts linked to each.

Headers

HeaderRequiredDescription
AuthorizationYesBearer ctgo_your_api_key_here

Example

curl https://www.catchthegoodones.com/api/v1/saved-searches \
  -H "Authorization: Bearer ctgo_your_api_key_here"

Response

{
  "searches": [
    {
      "id": 1,
      "userFacingId": "S-1",
      "name": "Tech founders",
      "description": "Looking for startup founders in tech",
      "genderValues": ["male", "female"],
      "followerCountTiers": ["micro", "macro"],
      "appliedSearchFilters": {
        "job_role": ["Founder", "CEO", "CTO"],
        "job_industry": ["Technology", "SaaS"]
      },
      "linkedAccountCount": 2,
      "createdAt": "2026-03-01T00:00:00.000Z",
      "updatedAt": "2026-03-15T00:00:00.000Z"
    }
  ]
}

Response fields

FieldTypeDescription
idintegerUnique identifier
userFacingIdstringHuman-readable identifier (e.g. "S-1")
namestring or nullOptional name
descriptionstring or nullOptional description
genderValuesarray or nullGender filter values
followerCountTiersarray or nullFollower count tier filter values
appliedSearchFiltersobject or nullKey-value pairs of custom AI filter categories to accepted label arrays
linkedAccountCountintegerNumber of tracked accounts using this search